Verify a BVN (Bank Verification Number)
curl --request POST \
--url https://api-partner.onecluster.co/api/v1/kyc/bvn/verify \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Signature: <x-signature>' \
--data '
{
"bvn": "22212345678",
"nameToMatch": "Adebayo Johnson"
}
'import requests
url = "https://api-partner.onecluster.co/api/v1/kyc/bvn/verify"
payload = {
"bvn": "22212345678",
"nameToMatch": "Adebayo Johnson"
}
headers = {
"X-Signature": "<x-signature>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Signature': '<x-signature>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bvn: '22212345678', nameToMatch: 'Adebayo Johnson'})
};
fetch('https://api-partner.onecluster.co/api/v1/kyc/bvn/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-partner.onecluster.co/api/v1/kyc/bvn/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bvn' => '22212345678',
'nameToMatch' => 'Adebayo Johnson'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"X-Signature: <x-signature>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-partner.onecluster.co/api/v1/kyc/bvn/verify"
payload := strings.NewReader("{\n \"bvn\": \"22212345678\",\n \"nameToMatch\": \"Adebayo Johnson\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Signature", "<x-signature>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-partner.onecluster.co/api/v1/kyc/bvn/verify")
.header("X-Signature", "<x-signature>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bvn\": \"22212345678\",\n \"nameToMatch\": \"Adebayo Johnson\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-partner.onecluster.co/api/v1/kyc/bvn/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Signature"] = '<x-signature>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bvn\": \"22212345678\",\n \"nameToMatch\": \"Adebayo Johnson\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"responseCode": "00",
"message": "BVN verified",
"data": {
"match": true,
"bvnMasked": "****5678",
"nameMatchScore": 0.95,
"dobMasked": "25/06/****",
"phoneMasked": "****4567"
}
}{
"type": "https://api.onecluster.co/errors/insufficient-funds",
"title": "Insufficient Funds",
"status": 422,
"detail": "The account balance is ₦0.00. You need at least ₦50,000.00 to complete this transfer.",
"instance": "/api/v1/payments/transfer",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "INSUFFICIENT_FUNDS"
}{
"type": "https://api.onecluster.co/errors/insufficient-funds",
"title": "Insufficient Funds",
"status": 422,
"detail": "The account balance is ₦0.00. You need at least ₦50,000.00 to complete this transfer.",
"instance": "/api/v1/payments/transfer",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "INSUFFICIENT_FUNDS"
}KYC Endpoints
Verify BVN
Verifies a BVN against the NIBSS (Nigerian Interbank Settlement System) database and checks if the name matches the record on file.
Privacy: The full BVN and date of birth are never returned. The response
shows only masked values (e.g. ****5678) to comply with NDPR data minimisation rules.
Use cases: Verifying the identity of a customer before opening an account for them, or confirming a director’s identity during KYB.
Requires X-Signature header (HMAC-SHA256 of request body).
POST
/
api
/
v1
/
kyc
/
bvn
/
verify
Verify a BVN (Bank Verification Number)
curl --request POST \
--url https://api-partner.onecluster.co/api/v1/kyc/bvn/verify \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Signature: <x-signature>' \
--data '
{
"bvn": "22212345678",
"nameToMatch": "Adebayo Johnson"
}
'import requests
url = "https://api-partner.onecluster.co/api/v1/kyc/bvn/verify"
payload = {
"bvn": "22212345678",
"nameToMatch": "Adebayo Johnson"
}
headers = {
"X-Signature": "<x-signature>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Signature': '<x-signature>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bvn: '22212345678', nameToMatch: 'Adebayo Johnson'})
};
fetch('https://api-partner.onecluster.co/api/v1/kyc/bvn/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-partner.onecluster.co/api/v1/kyc/bvn/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bvn' => '22212345678',
'nameToMatch' => 'Adebayo Johnson'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"X-Signature: <x-signature>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-partner.onecluster.co/api/v1/kyc/bvn/verify"
payload := strings.NewReader("{\n \"bvn\": \"22212345678\",\n \"nameToMatch\": \"Adebayo Johnson\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Signature", "<x-signature>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-partner.onecluster.co/api/v1/kyc/bvn/verify")
.header("X-Signature", "<x-signature>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bvn\": \"22212345678\",\n \"nameToMatch\": \"Adebayo Johnson\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-partner.onecluster.co/api/v1/kyc/bvn/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Signature"] = '<x-signature>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bvn\": \"22212345678\",\n \"nameToMatch\": \"Adebayo Johnson\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"responseCode": "00",
"message": "BVN verified",
"data": {
"match": true,
"bvnMasked": "****5678",
"nameMatchScore": 0.95,
"dobMasked": "25/06/****",
"phoneMasked": "****4567"
}
}{
"type": "https://api.onecluster.co/errors/insufficient-funds",
"title": "Insufficient Funds",
"status": 422,
"detail": "The account balance is ₦0.00. You need at least ₦50,000.00 to complete this transfer.",
"instance": "/api/v1/payments/transfer",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "INSUFFICIENT_FUNDS"
}{
"type": "https://api.onecluster.co/errors/insufficient-funds",
"title": "Insufficient Funds",
"status": 422,
"detail": "The account balance is ₦0.00. You need at least ₦50,000.00 to complete this transfer.",
"instance": "/api/v1/payments/transfer",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "INSUFFICIENT_FUNDS"
}Authorizations
Headers
Body
application/json
Response
BVN verification result
Standard response wrapper for all successful API calls

